Bug 173095 - php-gd sub-package should have "Requires: gd" header
php-gd sub-package should have "Requires: gd" header
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
https://sourceforge.net/tracker/index...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-13 22:21 EST by Gordon Rowell
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-23 04:41:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Rowell 2005-11-13 22:21:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
There should be a "Requires: gd" header in the php-gd package:

From php-5.0.4-10 SPEC file:

[...]
%package gd
Summary: A module for PHP applications for using the gd graphics library
Group: Development/Languages
Requires: php = %{version}-%{release}
BuildRequires: gd-devel, freetype-devel
[...]

Version-Release number of selected component (if applicable):
php-gd-4.3.9-3.9

How reproducible:
Always

Steps to Reproduce:
[gordonr@smebuild RPMS]$ rpm -qRp php-gd-4.3.9-3.9.i386.rpm
config(php-gd) = 4.3.9-3.9
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3)
libfreetype.so.6
libjpeg.so.62
libpng12.so.0
libz.so.1
php = 4.3.9-3.9
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1


Actual Results:  No requires entry for gd

Expected Results:  Requirement on gd should be shown

Additional info:

SPEC file patch:

--- php.spec.orig       2005-11-14 14:22:08.926863108 +1100
+++ php.spec    2005-11-14 14:22:15.821642451 +1100
@@ -300,6 +300,7 @@
 Summary: A module for PHP applications for using the gd graphics library
 Group: Development/Languages
 Requires: php = %{version}-%{release}
+Requires: gd
 BuildRequires: gd-devel, freetype-devel

 %description gd
Comment 1 Joe Orton 2005-11-23 04:41:04 EST
Thanks for the report.

The php-gd module contains an embedded (and modified) copy of the gd library, so
does not have a dependency on the system copy of the gd library.

Note You need to log in before you can comment on or make changes to this bug.